
---

# WordImg

WordImg is a Python library that generates images with custom text over a user-provided background. The background is automatically resized to 2560x1440, and text is centered for a professional look.

## Features

✅ Resize background to 2560x1440
✅ Custom text positioning
✅ Built-in font (no external dependency)
✅ Auto-save images to saved_images/
✅ Simple and lightweight

## Installation

Install WordImg using:
```bash
pip install WordImg
```

## Usage

from wordimg import WordImg

```bash
wordimg = WordImg()
image_path = wordimg.make_image("background.jpg", "Delta", "@wtfdelta")

print(f"Image saved at: {image_path}")
```
## Example Output

![Example Output](https://files.catbox.moe/yk3vw9.jpg)

If you provide "background.jpg" and "Hello World", the generated image will have:

Resized background (2560x1440)

Centered text: "Hello World"

Username in the top-left corner


## Project Links

Website: deltaop.tech

GitHub: github.com/geektyper

Telegram: wtf_daddie.t.me



---
